# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      conftest.py
# Author:        liunian
# Datetime:      2024/1/6 11:20
# Description:
# 
# ---------------------------------------------------------------------------
import pytest

from APITestFrame1.common.db import DB
from APITestFrame1.request_method.request_methods import Requesting


@pytest.fixture(scope="session")
def req_fix():
    req = Requesting()
    yield req


@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    yield db
    db.close()

def pytest_collection_modifyitems(items):
    # item表示每个测试用例，解决用例名称中文显示问题
    for item in items:
        item.name = item.name.encode("utf-8").decode("unicode-escape")
        item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")
